@echo off

rem Put this file in your ${PATH}
rem Read http://groups.google.com/group/comp.lang.ada/browse_thread/thread/d561cda996d4dac4/329a70c4e73d10f8
rem to learn more.
rem
rem Compiles a Windows resource file (*.rc). It do so running windres from
rem the directory where the resource file belong, just for windres to be
rem able to resolve relative path the resource file may contains.
rem The object file is produced in this same directory. Later, the object
rem file is moved to the object directory, which is the one from where
rem gnatmake will invok this batch.
rem
rem This batch script is to be invoked with the file name to compile as
rem its first and unique argument.
rem
rem The argument is retrieved in %1
rem
rem %1 is the full file name
rem %~n1 is the base name
rem %~dp1 is the parent directory name
rem pushd <dir> goes to <dir> and remember of the actual directory
rem popd comes back to the actual directory
rem
rem Questions and comments : yannick_duchene@yahoo.fr

pushd %~dp1
windres.exe -i %1 -o %~n1.o
popd
if exist %~n1.o del %~n1.o
if exist %~dp1\%~n1.o move %~dp1\%~n1.o .
